# Organization Info

## Fetch Organization Data

Retrieving the user's organization info is done through querying the user's information. One can query details inside the organization.&#x20;

```graphql
query User($where: UserWhereUniqueInput!) {
  user(where: $where) {
    fullName
    organizations {
      [id]
      [name]
      [city]
      [email]
      [industry]
      [isIndividual]
      [phone]
      [street]
      [phoneCountry]
      [timezone]
      [transferRequestOrders]
      [unit]
      [wallets]
      [zipCode]
    }
  }
}
```

### Headers

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

### **Body (**<mark style="color:orange;">UserWhereUniqueInput</mark> object)

| Name                                 | Type   | Description                      |
| ------------------------------------ | ------ | -------------------------------- |
| id<mark style="color:red;">\*</mark> | string | ID of the organization in inabit |

Example body:

```graphql
{
  "where": {
    "id": "userId123"
  }
}
```

### Response

Returned values:

| Name                  | Type                 | Description                            |
| --------------------- | -------------------- | -------------------------------------- |
| id                    | string               | Organization ID                        |
| name                  | string               | Organization name                      |
| city                  | string               | Organization address (city)            |
| email                 | string               | Organization POC email                 |
| industry              | string               | Organization industry                  |
| isIndividual          | boolean              | Flag wether organization or individual |
| phone                 | string               | Organization phone number              |
| phoneCountry          | string               | Organization country                   |
| street                | string               | Organization address (street)          |
| transferRequestOrders | TransferRequestOrder | Transfer Request Orders                |
| timeZone              | TimeZone             | Time zone for organization             |
| unit                  | string               | Unit                                   |
| wallet                | Wallet               | Organization wallets                   |
| zipCode               | string               | Organization address (zip code)        |

{% tabs %}
{% tab title="🟢 Success" %}

```graphql
{
  "data": {
    "user": {
      "organizations": [
        {
          "id": "clilpvru98723678mwie82oihn9",
          "name": "Crypto Org 1",
          "city": "New York"
        }
      ]
    }
  }
}
```

{% endtab %}

{% tab title="🔴 Failure" %}

```graphql
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

In the example response above, we queried the `id` , `name` and `city` of the organization.

### Try it out!

{% embed url="<https://studio.apollographql.com/sandbox/explorer?endpoint=https://api.inabit.app/graphql&explorerURLState=N4IgJg9gxgrgtgUwHYBcQC4QEcYIE4CeABAPJ4DmAhkgJYBelKNESAFACQDuAFvguqQrV6jZkgDqvPAgCqtHAgCSSAA4wUAQgCURYAB0kelBCG0GTFqx58BXKQh37DKIwjiUaAGwNGjK7iwIAMIQMKiEuj4u0f6BIWAIUUYAvkkosUiJzkZQoeHETr7RSJSIaanZKADOKNIILpVQNCgEaTWMCJGVRiVllRVFdDQq8VlFsHjSSFAFaTkQCeVRFckgyUA>" fullWidth="false" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
